Summary:	KDE interface for PackageKit
Name:		apper
Version:	0.8.0
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Packaging
Source0: 	http://fr2.rpmfind.net/linux/KDE/stable/apper/%{version}/src/%{name}-%{version}.tar.xz
Patch0:         apper-0.8.0-mga-revert_upstream.diff
URL:		http://www.opendesktop.org/content/show.php/Apper?content=84745
BuildRequires:	kdelibs4-devel
BuildRequires:	kdebase4-workspace-devel
BuildRequires:	qt4-qtdbus
BuildRequires:	packagekit-qt-devel >= 0.8.5
BuildRequires:	desktop-file-utils
Requires:	packagekit >= 0.8.5
Provides:	packagekit-gui
Obsoletes:	kpackagekit
Obsoletes:	kpackagekit-common

%description
KDE interface for PackageKit.

%files -f %name.lang
%{_kde_bindir}/*
%{_kde_libdir}/kde4/*.so
%{_kde_libdir}/lib%{name}.so
%{_kde_appsdir}/*
%{_kde_datadir}/applications/kde4/*.desktop
%{_kde_libdir}/kde4/libexec/apper-sentinel
%{_kde_services}/*.desktop
%{_kde_services}/kded/*.desktop
%{_datadir}/dbus-1/services/*.service
%{_kde_mandir}/man1/*.xz

#--------------------------------------------------------------------

%prep
%setup -q -n %name-%version
%apply_patches

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

desktop-file-install --vendor='' \
	--dir %buildroot%_kde_datadir/applications/kde4 \
	--remove-category='System' \
	--add-category='Settings' \
	--remove-mime-type='application/x-deb' \
	%buildroot%_kde_datadir/applications/kde4/*.desktop

%find_lang %name

# hack around gnome-packagekit conflict
mv %{buildroot}%{_datadir}/dbus-1/services/org.freedesktop.PackageKit.service \
%{buildroot}%{_datadir}/dbus-1/services/kde-org.freedesktop.PackageKit.service 


%changelog

* Mon Jan 21 2013 malo <malo> 0.8.0-3.mga3
+ Revision: 390332
- updated RPM group

* Fri Jan 11 2013 umeabot <umeabot> 0.8.0-2.mga3
+ Revision: 345957
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 tv <tv> 0.8.0-1.mga3
+ Revision: 343562
- new release

* Sat Dec 01 2012 fwang <fwang> 0.8.0-0.20121201.1.mga3
+ Revision: 323941
- new snapshot
- drop polkit br
- rebuild for new pk-qt

  + tv <tv>
    - rebuild for new pk

* Mon Jun 04 2012 fwang <fwang> 0.7.2-1.mga3
+ Revision: 253901
- new version 0.7.2

* Tue Feb 21 2012 juancho <juancho> 0.7.1-1.mga2
+ Revision: 211534
- Updated to 0.7.1
- Added missing BR kdebase4-workspace-devel
- Rediffed patch revert-upstream.diff for 0.7.1 as apper-0.7.1-mga-revert_upstream.diff to follow patch naming standards

* Sun Oct 16 2011 dmorgan <dmorgan> 0.7.0-2.mga2
+ Revision: 155462
- Fix loading of apper ( patch from OpenSuse) (mga #3023)

* Tue Oct 11 2011 fwang <fwang> 0.7.0-1.mga2
+ Revision: 153923
- update file list
- update file list
- new version 0.7.0
- Created package structure for apper.

